package com.ejie.ad74a.model;

import java.math.BigDecimal;
import java.util.Date;

public class Ad74aBeneficiarioDFBBean {
	
	private Long idSolicitante;
	private String tipoIdentificador;
	private String identificador;
	private String nombre;
	private String apellido1;
	private String apellido2;
	private Date fapertura;
	private Date fbeneficiario;
	private Date fbaja;
	private Long idMotivoBaja;
	private BigDecimal precioPublico;
	
	/**
	 * Method 'Ad74aBeneficiarioDFBBean'.
	 */
	public Ad74aBeneficiarioDFBBean() {
	}

	/**
	 * Method 'Ad74aBeneficiarioDFBBean'.
	 * 
	 * @param idSolicitante Long
	 * @param tipoIdentificador String
	 * @param identificador String
	 * @param nombre String
	 * @param apellido1 String
	 * @param apellido2 String
	 * @param fapertura Date
	 * @param fbeneficiario Date
	 * @param fbaja Date
	 * @param idMotivoBaja Long
	 * @param precioPublico BigDecimal
	 */
	public Ad74aBeneficiarioDFBBean(Long idSolicitante, String tipoIdentificador, String identificador, 
									String nombre, String apellido1, String apellido2, Date fapertura,
									Date fbeneficiario, Date fbaja, Long idMotivoBaja, BigDecimal precioPublico) {
		this.idSolicitante = idSolicitante;
		this.tipoIdentificador = tipoIdentificador;
		this.identificador = identificador;
		this.nombre = nombre;
		this.apellido1 = apellido1;
		this.apellido2 = apellido2;
		this.fapertura = fapertura;
		this.fbeneficiario = fbeneficiario;
		this.fbaja = fbaja;
		this.idMotivoBaja = idMotivoBaja;
		this.precioPublico = precioPublico;
	}
	
	
	public Long getIdSolicitante() {
		return idSolicitante;
	}
	public void setIdsolicitante(Long idSolicitante) {
		this.idSolicitante = idSolicitante;
	}
	public String getTipoIdentificador() {
		return tipoIdentificador;
	}
	public void setTipoIdentificador(String tipoIdentificador) {
		this.tipoIdentificador = tipoIdentificador;
	}
	public String getIdentificador() {
		return identificador;
	}
	public void setIdentificador(String identificador) {
		this.identificador = identificador;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public String getApellido1() {
		return apellido1;
	}
	public void setApellido1(String apellido1) {
		this.apellido1 = apellido1;
	}
	public String getApellido2() {
		return apellido2;
	}
	public void setApellido2(String apellido2) {
		this.apellido2 = apellido2;
	}
	
	public Date getFapertura() {
		return fapertura;
	}
	public void setFapertura(Date fapertura) {
		this.fapertura = fapertura;
	}
	public Date getFbeneficiario() {
		return fbeneficiario;
	}
	public void setFbeneficiario(Date fbeneficiario) {
		this.fbeneficiario = fbeneficiario;
	}
	public Date getFbaja() {
		return fbaja;
	}
	public void setFbaja(Date fbaja) {
		this.fbaja = fbaja;
	}
	public Long getIdMotivoBaja() {
		return idMotivoBaja;
	}
	public void setIdMotivoBaja(Long idMotivoBaja) {
		this.idMotivoBaja = idMotivoBaja;
	}
	public BigDecimal getPrecioPublico() {
		return precioPublico;
	}
	public void setPrecioPublico(BigDecimal precioPublico) {
		this.precioPublico = precioPublico;
	}
}
